Python - pymysql.err.Error: Already closed

Autor Biodynamic
Publikováno 19.07.2021
Kategorie programovani
Stav Vyřešeno
Dobrý den,

po updatu verze Python se při práci s pymysql často objevuje chyba pymysql.err.InterfaceError: (0, '')

Použivám v celém skriptu volání jednoho připojení con takto:
con = mysql.connect(**config)
a pak už všude volám jen
with con:

Celá chyba:

Traceback (most recent call last):
File "/var/script45.py", line 387, in fillerLoop
cur.execute(sql)
File "/usr/local/lib/python3.8/dist-packages/pymysql/cursors.py", line 148, in execute
result = self._query(query)
File "/usr/local/lib/python3.8/dist-packages/pymysql/cursors.py", line 310, in _query
conn.query(q)
File "/usr/local/lib/python3.8/dist-packages/pymysql/connections.py", line 547, in query
self._execute_command(COMMAND.COM_QUERY, sql)
File "/usr/local/lib/python3.8/dist-packages/pymysql/connections.py", line 793, in _execute_command
raise err.InterfaceError(0, "")
pymysql.err.InterfaceError: (0, '')

During handling of the above exception, another exception occurred:

Traceback (most recent call last):
File "/var/script45.py", line 391, in fillerLoop
print("-----------")
File "/usr/local/lib/python3.8/dist-packages/pymysql/connections.py", line 360, in __exit__
self.close()
File "/usr/local/lib/python3.8/dist-packages/pymysql/connections.py", line 404, in close
raise err.Error("Already closed")
pymysql.err.Error: Already closed

During handling of the above exception, another exception occurred:

Traceback (most recent call last):
File "/var/script45.py", line 423, in
object.fillerLoop()
File "/var/script45.py", line 408, in fillerLoop
sys.exit("Program ukoncen!")
File "/usr/local/lib/python3.8/dist-packages/pymysql/connections.py", line 360, in __exit__
self.close()
File "/usr/local/lib/python3.8/dist-packages/pymysql/connections.py", line 404, in close
raise err.Error("Already closed")


Díky


Odpovědi na dotaz

Show english version

RE: Python - pymysql.err.Error: Already closed

Autor Biodynamic
Publikováno 09.09.2021
Kategorie programovani
Stav Zkontrolováno
Dobrý den,

tak je třeba všude volat před použítím with con i nové spojení pomocí con:


con = mysql.connect(**config)
with con:
xxxxxxxx


Show english version

Tento web používá k poskytování služeb, personalizaci reklam a analýze návštěvnosti soubory cookie. Používáním tohoto webu s tím souhlasíte. Další informace